



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>appium+java（五）微信小程序自动化测试实践</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">appium+java（五）微信小程序自动化测试实践</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-28 20:21:08 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h3>前言：</h3>
<p>上一篇《<a href="https://www.cnblogs.com/longronglang/p/10276713.html" rel="external nofollow noreferrer">appium+java（四）微信公众号自动化测试实践</a>》中，尝试使用appium实现微信公众号自动化测试，接着尝试小程序自动化，以学院小程序为例</p>
<h3><strong>准备工作</strong></h3>
<p>　　1、java-client 3.4.16依赖包</p>
<p>　　2、微信应用版本7.0.0</p>
<p>　　3、android手机（7.0+版本）</p>
<p>　　4、appium-desktop V1.10.0</p>
<p>我仔细看了下，这个小程序使用安卓原生较多，因此，和平常的ui自动化就一样了，不多说，上代码了</p>
<h3>代码实例</h3>
<div>
<pre class="prettyprint linenums">  /**<br />
     * 小程序自动化测试<br />
     *<br />
     * @throws Exception<br />
     */<br />
    @Test<br />
    public void testSmallProgram() throws Exception {<br />
        //发现<br />
        driver.scrollTo("发现").click();<br />
        //小程序<br />
        driver.scrollTo("小程序").click();<br />
        //老用户专享<br />
        driver.findElementByName("51CTO学院官方").click();<br />
        pause(5);<br />
        //向上滑动五次<br />
        scrollToS(7);<br />
        driver.findElementByName("爬虫Scrapy实战开发视频课程").click();<br />
        pause(3);<br />
        String text = driver.findElementByName("爬虫Scrapy实战开发视频课程").getText();<br />
        Assert.assertEquals(text, "爬虫Scrapy实战开发视频课程");<br />
        driver.findElementByName("分享").click();<br />
        pause(1);<br />
        driver.tap(1, 540, 1485, 500);<br />
        pause(3);<br />
        driver.findElementByName("保存图片").click();<br />
        pause(3);<br />
        scrollToS(3);<br />
        driver.pressKeyCode(4);<br />
        pause(1);<br />
        driver.pressKeyCode(4);<br />
    }

    /**<br />
     * 向上滑动操作<br />
     *<br />
     * @param k<br />
     */<br />
    public void scrollToS(int k) {<br />
        int x = driver.manage().window().getSize().width;<br />
        int y = driver.manage().window().getSize().height;<br />
        for (int i = 0; i &lt; k; i++) {<br />
            driver.swipe(x / 2, y * 3 / 4, x / 2, y / 4, 0);<br />
            pause(1);<br />
        }<br />
    }</pre>
</div>
<h3>运行效果</h3>
<p><a href="http://v.youku.com/v_show/id_XNDAyNTUwMTI0NA==.html?spm=a2h3j.8428770.3416059.1" rel="external nofollow noreferrer">http://v.youku.com/v_show/id_XNDAyNTUwMTI0NA==.html?spm=a2h3j.8428770.3416059.1</a></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/39r5647q.html">SSISDB6：Operation</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8oglrxq.html">MySQL查询缓存</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8kd2x39.html">虚拟机centos6&period;5 --hadoop2&period;6集群环境搭建</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyx4m28.html">svg是什么</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8k6jp6q.html">kvm 下运行的　WINWS7磁盘空间不足　增加磁盘　实战&lpar;这个有问题，还未解决&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqd25zv9.html">Symbols of String Pattern Matching</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2rerx9.html">poj 1019</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxndmrz8.html">&lbrack;kuangbin带你飞&rsqb;专题十 匹配问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zd2049.html">javascript RegExp类型 学习小记</a>
		</li>
						<li><a href="https://www.batexi.com/a/90v06538.html">WebApi学习总结系列第五篇（消息处理管道）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxngpyj8.html">Linux的压缩解压命令快速上手&mdash;&mdash;解压篇</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kk2k59.html">算法 《霍纳的方法java实践》</a>
		</li>
						<li><a href="https://www.batexi.com/a/90m22248.html">Python批量重命名</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1pwd1q.html">Mysql 5&period;1的坑</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jz5eke8.html">UiAutomator2&period;0 - 控件实现点击操作原理</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1k10l09.html">jsp中input获得后台传递的值</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlloj51q.html">mysql有多大内存？能存多少数据？</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kjmz439.html">shelve 模块</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m26wvrq.html">20172302《程序设计与数据结构》实验三 敏捷开发与XP实践报告</a>
		</li>
						<li><a href="https://www.batexi.com/a/8emyvdx9.html">&lbrack;Algorithm&rsqb; Powerset Problem</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8zyre2x9.html">自己制作redis 和mongo 镜像</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnv2l728.html">Ext&period;net 的锁定列要集中放到前面</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnv20jk8.html">ios 不支持-&comma;-时间。</a>
			</li>
						<li><a href="https://www.batexi.com/a/95gmyveq.html">最棒的 JavaScript 学习指南（2018版）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j1n6d49.html">windows 下使用 sc 添加创建exe服务；</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2zwkx9.html">luogu P4363 &lbrack;九省联考2018&rsqb;一双木棋chess</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdwdv209.html">linux 普通用户下使用 jdk 、Tomcat</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxdo34z9.html">linux 基础笔记本</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zyrwlv9.html">json数据交互</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxdo70v9.html">python模块-----time</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
